Package org.zkoss.zkmax.au.websocket

## Class WebSocketFilter

- java.lang.Object
- - org.zkoss.zkmax.au.websocket.WebSocketFilter

- All Implemented Interfaces:
    `javax.servlet.Filter`

      public class WebSocketFilter
      extends java.lang.Object
      implements javax.servlet.Filter

  A filter for WebSocket connections.
  Since:
    8.5.0
  Author:
    wenninghsu

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WebSocketFilter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected FacadeHttpServletRequest` | `createWSHandshakeRequest​(javax.servlet.ServletRequest request)` |
    `void` | `destroy()` |
    `void` | `doFilter​(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)` |
    `void` | `init​(javax.servlet.FilterConfig filterConfig)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebSocketFilter

          public WebSocketFilter()

  - ### Method Detail

    - #### init

          public void init​(javax.servlet.FilterConfig filterConfig)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Filter`
      Throws:
        `javax.servlet.ServletException`

    - #### doFilter

          public void doFilter​(javax.servlet.ServletRequest request,
                               javax.servlet.ServletResponse response,
                               javax.servlet.FilterChain chain)
                        throws java.io.IOException,
                               javax.servlet.ServletException

      Specified by:
        `doFilter` in interface `javax.servlet.Filter`
      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `javax.servlet.Filter`

    - #### createWSHandshakeRequest

          protected FacadeHttpServletRequest createWSHandshakeRequest​(javax.servlet.ServletRequest request)